# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'stringdef/ui_stringdef_widget.ui'
#
# Created: Fri Mar 11 11:06:35 2016
#      by: PyQt4 UI code generator 4.9.1
#
# WARNING! All changes made in this file will be lost!

from PyQt4 import QtCore, QtGui

try:
    _fromUtf8 = QtCore.QString.fromUtf8
except AttributeError:
    _fromUtf8 = lambda s: s

class Ui_StringdefQT(object):
    def setupUi(self, StringdefQT):
        StringdefQT.setObjectName(_fromUtf8("StringdefQT"))
        StringdefQT.resize(885, 380)
        StringdefQT.setMinimumSize(QtCore.QSize(885, 320))
        icon = QtGui.QIcon()
        icon.addPixmap(QtGui.QPixmap(_fromUtf8(":/plugins/BASEmesh/icons/stringdef.svg")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        StringdefQT.setWindowIcon(icon)
        self.verticalLayout_5 = QtGui.QVBoxLayout(StringdefQT)
        self.verticalLayout_5.setObjectName(_fromUtf8("verticalLayout_5"))
        self.horizontalLayout_13 = QtGui.QHBoxLayout()
        self.horizontalLayout_13.setObjectName(_fromUtf8("horizontalLayout_13"))
        self.verticalLayout_4 = QtGui.QVBoxLayout()
        self.verticalLayout_4.setObjectName(_fromUtf8("verticalLayout_4"))
        self.groupBox = QtGui.QGroupBox(StringdefQT)
        self.groupBox.setMinimumSize(QtCore.QSize(450, 0))
        self.groupBox.setObjectName(_fromUtf8("groupBox"))
        self.formLayout = QtGui.QFormLayout(self.groupBox)
        self.formLayout.setFieldGrowthPolicy(QtGui.QFormLayout.AllNonFixedFieldsGrow)
        self.formLayout.setObjectName(_fromUtf8("formLayout"))
        self.horizontalLayout = QtGui.QHBoxLayout()
        self.horizontalLayout.setObjectName(_fromUtf8("horizontalLayout"))
        self.nodesLabel = QtGui.QLabel(self.groupBox)
        self.nodesLabel.setMinimumSize(QtCore.QSize(150, 0))
        self.nodesLabel.setObjectName(_fromUtf8("nodesLabel"))
        self.horizontalLayout.addWidget(self.nodesLabel)
        self.nodesComboBox = QtGui.QComboBox(self.groupBox)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.nodesComboBox.sizePolicy().hasHeightForWidth())
        self.nodesComboBox.setSizePolicy(sizePolicy)
        self.nodesComboBox.setObjectName(_fromUtf8("nodesComboBox"))
        self.horizontalLayout.addWidget(self.nodesComboBox)
        self.formLayout.setLayout(1, QtGui.QFormLayout.FieldRole, self.horizontalLayout)
        spacerItem = QtGui.QSpacerItem(20, 20, QtGui.QSizePolicy.Minimum, QtGui.QSizePolicy.Fixed)
        self.formLayout.setItem(2, QtGui.QFormLayout.FieldRole, spacerItem)
        self.horizontalLayout_4 = QtGui.QHBoxLayout()
        self.horizontalLayout_4.setObjectName(_fromUtf8("horizontalLayout_4"))
        self.breaklinesLabel = QtGui.QLabel(self.groupBox)
        self.breaklinesLabel.setMinimumSize(QtCore.QSize(150, 0))
        self.breaklinesLabel.setObjectName(_fromUtf8("breaklinesLabel"))
        self.horizontalLayout_4.addWidget(self.breaklinesLabel)
        self.breaklinesComboBox = QtGui.QComboBox(self.groupBox)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.breaklinesComboBox.sizePolicy().hasHeightForWidth())
        self.breaklinesComboBox.setSizePolicy(sizePolicy)
        self.breaklinesComboBox.setObjectName(_fromUtf8("breaklinesComboBox"))
        self.horizontalLayout_4.addWidget(self.breaklinesComboBox)
        self.formLayout.setLayout(3, QtGui.QFormLayout.FieldRole, self.horizontalLayout_4)
        self.horizontalLayout_3 = QtGui.QHBoxLayout()
        self.horizontalLayout_3.setObjectName(_fromUtf8("horizontalLayout_3"))
        spacerItem1 = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.Fixed, QtGui.QSizePolicy.Minimum)
        self.horizontalLayout_3.addItem(spacerItem1)
        self.stringdefLabel = QtGui.QLabel(self.groupBox)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Preferred, QtGui.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.stringdefLabel.sizePolicy().hasHeightForWidth())
        self.stringdefLabel.setSizePolicy(sizePolicy)
        self.stringdefLabel.setMinimumSize(QtCore.QSize(150, 0))
        self.stringdefLabel.setObjectName(_fromUtf8("stringdefLabel"))
        self.horizontalLayout_3.addWidget(self.stringdefLabel)
        self.stringdefComboBox = QtGui.QComboBox(self.groupBox)
        self.stringdefComboBox.setEnabled(True)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Minimum, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.stringdefComboBox.sizePolicy().hasHeightForWidth())
        self.stringdefComboBox.setSizePolicy(sizePolicy)
        self.stringdefComboBox.setMinimumSize(QtCore.QSize(50, 0))
        self.stringdefComboBox.setObjectName(_fromUtf8("stringdefComboBox"))
        self.horizontalLayout_3.addWidget(self.stringdefComboBox)
        self.formLayout.setLayout(4, QtGui.QFormLayout.FieldRole, self.horizontalLayout_3)
        spacerItem2 = QtGui.QSpacerItem(20, 40, QtGui.QSizePolicy.Minimum, QtGui.QSizePolicy.Expanding)
        self.formLayout.setItem(7, QtGui.QFormLayout.FieldRole, spacerItem2)
        self.horizontalLayout_19 = QtGui.QHBoxLayout()
        self.horizontalLayout_19.setObjectName(_fromUtf8("horizontalLayout_19"))
        self.snappingToleranceCheckBox = QtGui.QCheckBox(self.groupBox)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Preferred, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.snappingToleranceCheckBox.sizePolicy().hasHeightForWidth())
        self.snappingToleranceCheckBox.setSizePolicy(sizePolicy)
        self.snappingToleranceCheckBox.setChecked(False)
        self.snappingToleranceCheckBox.setObjectName(_fromUtf8("snappingToleranceCheckBox"))
        self.horizontalLayout_19.addWidget(self.snappingToleranceCheckBox)
        self.snappingToleranceSpinBox = QtGui.QSpinBox(self.groupBox)
        self.snappingToleranceSpinBox.setEnabled(True)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Fixed, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.snappingToleranceSpinBox.sizePolicy().hasHeightForWidth())
        self.snappingToleranceSpinBox.setSizePolicy(sizePolicy)
        self.snappingToleranceSpinBox.setMinimumSize(QtCore.QSize(50, 0))
        self.snappingToleranceSpinBox.setAlignment(QtCore.Qt.AlignCenter)
        self.snappingToleranceSpinBox.setReadOnly(True)
        self.snappingToleranceSpinBox.setAccelerated(True)
        self.snappingToleranceSpinBox.setMinimum(-18)
        self.snappingToleranceSpinBox.setMaximum(-1)
        self.snappingToleranceSpinBox.setProperty("value", -6)
        self.snappingToleranceSpinBox.setObjectName(_fromUtf8("snappingToleranceSpinBox"))
        self.horizontalLayout_19.addWidget(self.snappingToleranceSpinBox)
        self.formLayout.setLayout(6, QtGui.QFormLayout.FieldRole, self.horizontalLayout_19)
        spacerItem3 = QtGui.QSpacerItem(20, 20, QtGui.QSizePolicy.Minimum, QtGui.QSizePolicy.Fixed)
        self.formLayout.setItem(5, QtGui.QFormLayout.FieldRole, spacerItem3)
        self.verticalLayout_4.addWidget(self.groupBox)
        self.horizontalLayout_13.addLayout(self.verticalLayout_4)
        self.tabWidget = QtGui.QTabWidget(StringdefQT)
        self.tabWidget.setObjectName(_fromUtf8("tabWidget"))
        self.tab_3 = QtGui.QWidget()
        self.tab_3.setObjectName(_fromUtf8("tab_3"))
        self.horizontalLayout_11 = QtGui.QHBoxLayout(self.tab_3)
        self.horizontalLayout_11.setObjectName(_fromUtf8("horizontalLayout_11"))
        self.textStatusBox = QtGui.QTextEdit(self.tab_3)
        self.textStatusBox.setObjectName(_fromUtf8("textStatusBox"))
        self.horizontalLayout_11.addWidget(self.textStatusBox)
        self.tabWidget.addTab(self.tab_3, _fromUtf8(""))
        self.tab_4 = QtGui.QWidget()
        self.tab_4.setObjectName(_fromUtf8("tab_4"))
        self.horizontalLayout_12 = QtGui.QHBoxLayout(self.tab_4)
        self.horizontalLayout_12.setObjectName(_fromUtf8("horizontalLayout_12"))
        self.textBrowser = QtGui.QTextBrowser(self.tab_4)
        self.textBrowser.setObjectName(_fromUtf8("textBrowser"))
        self.horizontalLayout_12.addWidget(self.textBrowser)
        self.tabWidget.addTab(self.tab_4, _fromUtf8(""))
        self.horizontalLayout_13.addWidget(self.tabWidget)
        self.verticalLayout_5.addLayout(self.horizontalLayout_13)
        self.groupOutput = QtGui.QGroupBox(StringdefQT)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Preferred, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.groupOutput.sizePolicy().hasHeightForWidth())
        self.groupOutput.setSizePolicy(sizePolicy)
        self.groupOutput.setMinimumSize(QtCore.QSize(0, 0))
        self.groupOutput.setObjectName(_fromUtf8("groupOutput"))
        self.verticalLayout_3 = QtGui.QVBoxLayout(self.groupOutput)
        self.verticalLayout_3.setObjectName(_fromUtf8("verticalLayout_3"))
        self.horizontalLayout_8 = QtGui.QHBoxLayout()
        self.horizontalLayout_8.setObjectName(_fromUtf8("horizontalLayout_8"))
        self.outputShapeLineEdit = QtGui.QLineEdit(self.groupOutput)
        self.outputShapeLineEdit.setReadOnly(True)
        self.outputShapeLineEdit.setObjectName(_fromUtf8("outputShapeLineEdit"))
        self.horizontalLayout_8.addWidget(self.outputShapeLineEdit)
        self.browseButton = QtGui.QPushButton(self.groupOutput)
        self.browseButton.setObjectName(_fromUtf8("browseButton"))
        self.horizontalLayout_8.addWidget(self.browseButton)
        self.verticalLayout_3.addLayout(self.horizontalLayout_8)
        self.horizontalLayout_10 = QtGui.QHBoxLayout()
        self.horizontalLayout_10.setObjectName(_fromUtf8("horizontalLayout_10"))
        self.progressBar = QtGui.QProgressBar(self.groupOutput)
        self.progressBar.setProperty("value", 0)
        self.progressBar.setObjectName(_fromUtf8("progressBar"))
        self.horizontalLayout_10.addWidget(self.progressBar)
        self.cancelButton = QtGui.QPushButton(self.groupOutput)
        self.cancelButton.setObjectName(_fromUtf8("cancelButton"))
        self.horizontalLayout_10.addWidget(self.cancelButton)
        self.generateButton = QtGui.QPushButton(self.groupOutput)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.generateButton.setFont(font)
        self.generateButton.setObjectName(_fromUtf8("generateButton"))
        self.horizontalLayout_10.addWidget(self.generateButton)
        self.verticalLayout_3.addLayout(self.horizontalLayout_10)
        self.verticalLayout_5.addWidget(self.groupOutput)

        self.retranslateUi(StringdefQT)
        self.tabWidget.setCurrentIndex(0)
        QtCore.QObject.connect(self.generateButton, QtCore.SIGNAL(_fromUtf8("clicked()")), StringdefQT.accept)
        QtCore.QObject.connect(self.cancelButton, QtCore.SIGNAL(_fromUtf8("clicked()")), StringdefQT.reject)
        QtCore.QObject.connect(self.textBrowser, QtCore.SIGNAL(_fromUtf8("anchorClicked(QUrl)")), self.textBrowser.reload)
        QtCore.QMetaObject.connectSlotsByName(StringdefQT)

    def retranslateUi(self, StringdefQT):
        StringdefQT.setWindowTitle(QtGui.QApplication.translate("StringdefQT", "BASEmesh - String definition", None, QtGui.QApplication.UnicodeUTF8))
        self.groupBox.setTitle(QtGui.QApplication.translate("StringdefQT", "INPUT", None, QtGui.QApplication.UnicodeUTF8))
        self.nodesLabel.setText(QtGui.QApplication.translate("StringdefQT", "Mesh Nodes", None, QtGui.QApplication.UnicodeUTF8))
        self.breaklinesLabel.setText(QtGui.QApplication.translate("StringdefQT", "Breaklines", None, QtGui.QApplication.UnicodeUTF8))
        self.stringdefLabel.setText(QtGui.QApplication.translate("StringdefQT", "Stringdef field", None, QtGui.QApplication.UnicodeUTF8))
        self.snappingToleranceCheckBox.setText(QtGui.QApplication.translate("StringdefQT", "Relative snapping tolerance", None, QtGui.QApplication.UnicodeUTF8))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab_3), QtGui.QApplication.translate("StringdefQT", "Status messages", None, QtGui.QApplication.UnicodeUTF8))
        self.textBrowser.setHtml(QtGui.QApplication.translate("StringdefQT", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
"<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
"p, li { white-space: pre-wrap; }\n"
"</style></head><body style=\" font-family:\'Ubuntu\'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:10pt; text-decoration: underline; color:#da9100;\">PURPOSE:</span></p>\n"
"<p align=\"justify\" style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">This tool is used to define </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-style:italic;\">stringdefs</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"> inside QGIS, which are used for boundary conditions and output definitions in BASEMENT. A </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-style:italic;\">stringdef</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"> is defined by its name, a list of node IDs (corresponding to the computational mesh), and the upstream direction (left/right). Since any changes made in the computational mesh possibly lead to changed node IDs, the BASEMENT input file has to be updated. This task is automated with this tool.</span></p>\n"
"<p align=\"justify\" style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:10pt; text-decoration: underline; color:#da9100;\">USAGE:</span></p>\n"
"<p align=\"justify\" style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">The input layers and their functionality are decribed as follows:</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:10pt; text-decoration: underline;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600; color:#0000ff;\">1.</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; color:#0000ff;\"> </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600;\">Mesh Nodes layer</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"> (compulsory): This point layer represents the computational mesh. The resulting node IDs origin from the NODE_ID field in this layer.</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600; color:#0000ff;\">2.</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; color:#000000;\"> </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600; color:#000000;\">Breaklines layer</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; color:#000000;\"> including the field that contains the </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-style:italic; color:#000000;\">stringdef</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; color:#000000;\"> names (compulsory): This layer contains line features along which all nodes (resp. their IDs) want to be found for the definition of the </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-style:italic; color:#000000;\">stringdef</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; color:#000000;\">. Only line features having a non-empty stringdef-field will be regarded as such, all others won\'t be treated. Therefore it is suggested to define all stringdef lines in the breakline layer that has been previously used to generate the quality mesh.</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt; color:#000000;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">Different data sources (shape-files, ascii-files, Triangle output, manually added features) might have different floating point precisions. The </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600;\">Relative snapping tolerance</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"> defines how far two point coordinates may be located apart to still be considered at the same location. The default value is 10E-6. Increasing this tolerance can help to avoid problems due to improper snapping of vertices (line or polygon features) and points in OGIS.</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt; color:#000000;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; color:#000000;\">The resulting lists of node IDs are written in a text file as STRINGDEF blocks, ready to use as BASEMENT input command block.</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt; color:#000000;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:10pt; text-decoration: underline; color:#da9100;\">ADVICE:</span></p>\n"
"<p align=\"justify\" style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; color:#000000;\">Please note that the nodes must be situated exactly on the segments of your stringdef-breaklines. The  upstream direction is </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-style:italic; color:#000000;\">right</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; color:#000000;\"> by default, therefore the stringdef-breaklines should be defined from left to right (if looking from upstream).</span></p></body></html>", None, QtGui.QApplication.UnicodeUTF8))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab_4), QtGui.QApplication.translate("StringdefQT", "Help", None, QtGui.QApplication.UnicodeUTF8))
